package cn.com.countrygarden.bi.main.service.performance;

import cn.com.countrygarden.bi.main.model.performance.AssessmentTarget;

import java.util.List;

public interface AssessmentTargetService {
    int deleteByPrimaryKey(Integer atid);

    int insertSelective(AssessmentTarget record);

    AssessmentTarget selectByPrimaryKey(Integer atid);

    int updateByPrimaryKeySelective(AssessmentTarget record);

    AssessmentTarget selectJudgeLock(AssessmentTarget record);

    AssessmentTarget selectLastPublic(Integer year, String quarterly);

    List<AssessmentTarget> selectUnLock(Integer year, String quarterly);

    List<AssessmentTarget> selectUnLockOrgan(Integer year, String quarterly);

    List<AssessmentTarget> selectUnLockCompany(Integer year, String quarterly);

    int updatePublicStatusOrgan(Integer year, String quarterly);

    int updatePublicStatusCompany(Integer year, String quarterly);

    List<AssessmentTarget> selectLastPublicOrgan(Integer year, String quarterly);

    List<AssessmentTarget> selectLastPublicCompany(Integer year, String quarterly);
}
